> For the complete documentation index, see [llms.txt](https://docs.castmagic.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.castmagic.io/reference/supported-languages.md).

# Supported Languages

The langauges supported by the API are the same that are supported in our customer-facing application. They are:

* `en` — English (default)
* `de` — German
* `es` — Spanish
* `fr` — French
* `hi` — Hindi
* `id` — Indonesian
* `it` — Italian
* `ja` — Japanese
* `ko` — Korean
* `nl` — Dutch
* `no` — Norwegian
* `pl` — Polish
* `pt` — Portuguese
* `ru` — Russian
* `sv` — Swedish
* `tr` — Turkish
* `uk` — Ukrainian
* `zh` — Mandarin (Simplified)

Transcription supports auto-detecting audio language, however results will be higher quality if the correct language is specified.

**Note:** If the language code specified is different from the audio language (i.e. English was specified for an English podcast) the result will likely be much poorer than if auto detection was used.

**Note:** At the moment, the best way to handle multi-lingual audio is to use auto detection.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.castmagic.io/reference/supported-languages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
